[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EInvalidImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when the resource header needed for streaming of a component is invalid.

## Declaration

Source position: classesh.inc line 133

`type EInvalidImage = class(EFilerError)`

## Inheritance

`EInvalidImage` |  | Exception raised when the resource header needed for streaming of a component is invalid.
`EFilerError` |  | Exception raised by the component streaming system if an error occurs.
`EStreamError` |  | Exception raised when an error occurs during read or write operations on a stream.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

This exception is not used by Free Pascal but is provided for Delphi compatibility.